#!/usr/bin/env python
# -*- coding: ascii -*-
# vim:ts=4:sw=4:softtabstop=4:smarttab:expandtab
"""Test suite for zxjdbc and Apache Derby.

See test_jyjdbcderby_dbapi20.py

    c:\jython2.5.2\jython test_zxjdbcderby_dbapi20.py
    c:\jython2.5.2\jython test_zxjdbcderby_dbapi20.py -v
    c:\jython2.5.2\jython test_zxjdbcderby_dbapi20.py -v test_ZxJdbcDerby.test_fetchone
    c:\jython2.5.2\jython test_zxjdbcderby_dbapi20.py -v test_ZxJdbcDerby.test_cursor_isolation
    c:\jython2.5.2\jython test_zxjdbcderby_dbapi20.py -v > derbyres.txt 2>&1
"""

import unittest
import os
import sys

import test_jyjdbcderby_dbapi20

from com.ziclix.python.sql import zxJDBC

DATABASE_NAME = test_jyjdbcderby_dbapi20.DATABASE_NAME
driver_class = test_jyjdbcderby_dbapi20.driver_class


class test_ZxJdbcDerby(test_jyjdbcderby_dbapi20.test_JyJdbcDerby):
    driver = zxJDBC
    connect_args = (DATABASE_NAME, None, None, driver_class)
    connect_kw_args = {}


if __name__ == '__main__':
    test_jyjdbcderby_dbapi20.mydbapi.main()
